%if 0%{?rhel} == 6
%define cmake_pkg cmake28
%else
%define cmake_pkg cmake
%endif

Name:    lxqt-globalkeys
Summary: Global keys utility for LXQt desktop suite
Version: 0.8.0
Release: 4%{?dist}
License: LGPLv2
URL:     http://lxqt.org/
Source0: http://lxqt.org/downloads/lxqt/0.8.0/%{name}-%{version}.tar.xz
Patch0:  lxqt-globalkeys-0.8.0-cmake_libdir.patch

BuildRequires:  %{cmake_pkg} >= 2.8.9
BuildRequires: pkgconfig(lxqt-qt5)
BuildRequires: pkgconfig(Qt5Help)
BuildRequires: pkgconfig(Qt5Xdg) >= 1.0.0
BuildRequires: desktop-file-utils

%description
%{summary}.

%package devel
Summary:  Developer files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
%{summary}.

%prep
%setup

%patch0 -p1

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{?cmake28}%{!?cmake28:%{?cmake}} -DUSE_QT5=ON ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
desktop-file-edit --remove-category=LXQt --add-category=X-LXQt \
	--remove-only-show-in=LXQt --add-only-show-in=X-LXQt %{buildroot}%{_datadir}/applications/lxqt-config-globalkeyshortcuts.desktop

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc COPYING
%{_bindir}/lxqt-globalkeysd
%{_bindir}/lxqt-config-globalkeyshortcuts
%{_datadir}/lxqt-qt5/translations/lxqt-config-globalkeyshortcuts
%{_datadir}/applications/lxqt-config-globalkeyshortcuts.desktop
%{_libdir}/liblxqt-globalkeys-qt5.so.0*
%{_libdir}/liblxqt-globalkeys-ui-qt5.so.0*

%files devel
%{_includedir}/lxqt-globalkeys-qt5
%{_includedir}/lxqt-globalkeys-ui-qt5
%{_libdir}/liblxqt-globalkeys-qt5.so
%{_libdir}/liblxqt-globalkeys-ui-qt5.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/lxqt-globalkeys-ui-qt5
%{_libdir}/cmake/lxqt-globalkeys-qt5


%changelog
* Mon Nov 10 2014 Helio Chissini de Castro <hcastro@redhat.com> - 0.8.0-4
- Update with fixes from review request on https://bugzilla.redhat.com/show_bug.cgi?id=1159826
- removed autosetup in favor of standard setup macro
- Fix cmake install dir

* Mon Nov 03 2014 Helio Chissini de Castro <hcastro@redhat.com> - 0.8.0-3
- Update for fedora review

* Tue Oct 28 2014 Helio Chissini de Castro <hcastro@redhat.com> - 0.8.0-2
- Need specific version requires for QtXdg

* Mon Oct 27 2014 Helio Chissini de Castro <hcastro@redhat.com> - 0.8.0-1
- First release to LxQt new base

